function D = my_pdist(X1,X2)

if nargin < 1
  X1 = rand(5,1);
  X2 = rand(5,1);
end

D = 0;

[n1,d1] = size(X1);
[n2,d2] = size(X2);

for i = 1:n1
  data = X1(i,:);
  X3 = [data;X2];
  K = pdist(X3,'euclidean');
  % K = pdist(X3,@distfun2);
  KK = squareform(K);
  D = D + min(KK(1,2:end));
end

end


function D2 = distfun(X1,X2)
  assert(size(X2,2)==1)
  for k = 1:size(X2,1)
    D2(k,:) = abs(angdiff(X1, X2(k,:)));
  end
end


function D2 = distfun2(X1,X2)
  assert(size(X2,2)==1)
  for k = 1:size(X2,1)
    D2(k,:) = abs(abs(X1)-abs(X2(k,:)));
  end
end